#!/bin/sh

# Strip the CSS file of whitespace to reduce file size
echo "Generating CSS"
tr -d " \t\n\r" < resources/style-formatted.css > resources/style.css

# Generate HTML pages from Writan sources
echo "Generating pages"
for file in site-src/*; do
    bn=$(basename $file .wtn)
    echo "  $file -> site/$bn.html"
    ./format $file site/$bn.html
done

# Generate the site index
indexfile=site/site-index.html
cat resources/header.html > $indexfile
echo "Generating full site index"
for file in site/*; do
    bn=$(basename $file .html)
    echo "<p><a href=\"$bn.html\">{$bn}</a>" >> $indexfile
done
cat resources/footer.html >> $indexfile
